1.0
1.0
get /v1/guardrail-bindings/guardrails
Description
list guardrails for target
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | landing_zone_id optional | 랜딩 존 ID Example : 2c8a138f8d78e1fc29a449dbfa8681 | any of [string, null] | None |
| query | size optional | size Example : 20 | any of [integer, null] | 20 |
| query | page optional | page Example : 0 | any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc | any of [string, null] | None |
| query | target_id required | 타겟 ID Example : ou-1a2b3c4d5e6f7g8h9i0j1k2l3m4n5 | string | None |
| query | name optional | 가드레일명 Example : guardrail-example | any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ListGuardrailsForTargetResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/guardrail-bindings/guardrails?target_id={target_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = cloudcontrol 1.0"
Example HTTP response
Response 200
{
"count": 20,
"guardrails": [
{
"created_at": "2024-12-19 01:09:05.000",
"created_by": "c23fb561c689455993874fa5d5ed4a2f",
"guidance": "MANDATORY",
"id": "0a36e0746dbf4908acf0357829701381",
"link_types": {
"directed": [
{
"target_id": "1a2b3c4d5e6f7g8h9i0j1k2l3m4n5",
"target_name": "example-target"
}
],
"inherited": [
{
"target_id": "2a2b3c4d5e6f7g8h9i0j1k2l3m4n5",
"target_name": "root"
}
]
},
"modified_at": "2023-10-15 14:30:00",
"modified_by": "c23fb561c689455993874fa5d5ed4a2f",
"name": "foo-guardrail",
"service_name": "iam",
"type": "PREVENTIVE"
}
],
"page": 0,
"size": 20,
"sort": [
"created_at:asc"
]
}